[Config]
; Specify the targets which are protected by Denuvo, seperate with commas
Targets=SONIC_GENERATIONS.exe,SONIC_X_SHADOW_GENERATIONS.exe

; Automatically load/unload the hypervisor
AutoLoadHV=true

; Show a message box prompting to revert the security feature changes
GoRevertMsg=true

; Enable this if a game has Capcom Anti-Tamper
Capcom=false

[Sections]
; Define the sections for each target where the Denuvo code resides in
; Set this to "auto" to automatically choose the largest executable section
SONIC_GENERATIONS.exe=auto
SONIC_X_SHADOW_GENERATIONS.exe=auto

[Patches:SONIC_GENERATIONS.exe]
; Add custom patches here (e.g. Steam ID patch)
; Format: <rva_as_hex>=<patch_as_hex_string>
30648D0=E9EC866013
1666CFC1=5548BDBA560000010010014889285D9C415249C7C2A87A861BE9FB789FEC

[Patches:SONIC_X_SHADOW_GENERATIONS.exe]
; Add custom patches here (e.g. Steam ID patch)
; Format: <rva_as_hex>=<patch_as_hex_string>
C0D470A=E9B2B8740B
1781FFC1=5548BDBA560000010010014889285D488D6424F8E935478BF4
660B2=9090

[Hashes]
SONIC_GENERATIONS.exe=5e276ec68fdb9c1d
SONIC_X_SHADOW_GENERATIONS.exe=1aea3dbc5d3ed76e